/*
Author:
Date:
File Name: styles.css
*/

/* CSS Reset */
body, header, nav, main, footer, h1, div, img, ul, figure, figcaption, section, article, aside, audio, video, title {
    margin: 0;
    padding: 0;
    border: 0;
}

/* Style rules for body and images */
body {
	background-color: #729ca8;
}

img, video { 
    max-width: 100%;
    display: block;
}

/* Style rule for box sizing applies to all elements */
* {
  box-sizing: border-box;
}

/*Style rules for skip navigation link */
.skip {
	position: absolute;
	left: -999px;
}

.skip:focus {
	color: #000;
	background-color: #fff;
	text-decoration: none;
	padding: 0.5%;
	top: auto;
	left: auto;
	right: 1px;
	z-index: 1;
}

/* Style rules for mobile viewport */

/* Style rule for header */
    header {
    margin: auto;
	 width: 25%;
		height: auto;
		max-width: 25%;
		object-fit: cover;
    }
    

header img {
    margin: 0 auto;
	width: 100%
	
}


/* Style rules for hamburger menu */
.mobile-nav a {
    color: #fff;
    font-family: 'helvetica-lt-pro', sans-serif;
    text-align: center;  
    font-size: 1em;
    text-decoration: none;
    padding: 3%;
    display: block;
}


/* Show mobile class, hide tablet-desktop class and menu-links id */
.mobile {
    display: block;
}

.tablet-desktop, #menu-links {
    display: none;
}

/* Style rules for main content */
main {
    background-color: #fff;
    padding: 2%;
    font-size: 1.15em;
    font-family: 'helvetica-lt-pro', sans-serif;
	font-weight: 300;
	font-style: normal;
	padding: 2%;
}
 
video {
    margin: 0 auto 4%;
} 

.mobile h3 {
    text-shadow: 5px 5px 8px #ccc;
}

article {
    padding: 2%;
}

article h3 {
    text-align: center;
}

article img {
    margin: 0 auto;
}

article ul {
    margin-left: 10%; 
}

article:nth-of-type(2) {
    background-color: rgba(204, 204, 204, 0.3);
}

.tel-link {
    background-color: #404040;
    padding: 2%;
    margin: 0 auto;
    width: 80%;
    text-align: center;
    border-radius: 5px;
}

.tel-link a {
    color: #fff;
    text-decoration: none;
    font-size: 1.5em;
    display: block;
}

.hours {
    margin-left: 10%;
}

.action {
    font-size: 1.35em;
    color: #666600;
    font-weight: bold;
    text-shadow: 5px 5px 8px #ccc;
}

.frame {
    position: relative;
    max-width: 350px;
    margin: 2% auto;
}

.PHabout {
    position: relative;
    max-width: 350px;
    margin: 2% auto;
}

.pic-text {
    position: absolute;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5); 
    color: #fff;
    width: 100%;
    padding: 20px;
    text-align: center;
    font-family: Verdana, Arial, sans-serif;
    font-size: 1.5em;
    font-weight: bold;
}

.round {
    border-radius: 8px;
}

.external-link {
    color: #666600;
    font-weight: bold;
    text-decoration: none;
}

.map {
    border: 2px solid #000;
    width: 95%;
    height: 50%;
}

#form {
    margin-top: 2%;
    background-color: #f2f2f2;
    padding: 2%;
}

#form h2 {
    text-align: center;
}

/* Style rules for form elements */
fieldset, input, select, textarea  { 
    margin-bottom: 2%;
}

fieldset legend {
    font-weight: bold;
    font-size: 1.25em;
}

label {
    display: block;
    padding-top: 3%;
}

form #submit {
    margin: 0 auto;
    border: none;
    display: block;
    padding: 2%;
    background-color: #b3b3b3;
    font-size: 1em;
    border-radius: 10px;
}

/* Style rules for footer content */
footer .credits {
	text-align: left;
	font-size: 1em;
    color: #fff;
    padding: 2% 2%;
	float: left;
	width: 50%;
	font-family: 'helvetica-lt-pro', sans-serif;
}

footer p a {
    color: #cedad2;
    text-decoration: none;
}

social {
	float: right;
	width: 20%;
	padding: 2%;
}

.social img {
	display: block;
	width: 7%;
	height: 7%;
	padding: 2%;
	float: right;
}

/* Media Query for Tablet Viewport */
@media screen and (min-width: 630px), print {
    
    /* Tablet Viewport: Show tablet-desktop class, hide mobile class */
    .tablet-desktop {
        display: inline-block;
		margin: 0 auto;
}

    .mobile, .mobile-nav {
        display: none;
    }
    
    /* Tablet Viewport: Style rule for header */
    header {
       margin: auto;
	   width: 25%;
		height: auto;
		max-width: 25%;
		object-fit: cover;
    }
    
    /* Tablet Viewport: Style rules for nav area */
    nav {
		padding: 1em;
		margin: 0 auto;
		display: flex;
		justify-content: center;
		gap: 20px;
    }

    nav ul {
		padding: 2;
        text-align: center;
    }
    
    nav li {
        font-size: 1.5em;
        font-family: 'helvetica-lt-pro', medium;
        display: inline-block;
        border-right: 1px solid #fff;
    }
    
    nav li:last-child {
        border-right: none;
    }
    
    nav li a {
        padding: 0.1em 0.75em;
        display: block;
        color: #fff;
        text-decoration: none;
    }
    
    /* Tablet Viewport: Style rules for main content area */
    main ul {
        margin: 0 0 4% 10%;
    }
    
    .grid {
        display: grid;
        grid-template-columns: auto auto auto;
        grid-gap: 20px;
    }
       
    .pic-text {
        font-size: 1em;  
        padding: 10px;
    } 
    
    aside {
        text-align: center;
        font-size: 1.25em;
        font-style: italic;
        font-weight: bold;
        padding: 2%;
        background-color: rgba(204, 204, 204, 0.5);
        box-shadow: 5px 5px 8px #000;
        text-shadow: 5px 5px 5px #b3b3b3;
        border-radius: 0 15px; 
    }
       
    .grid-item4 {
        grid-column: 1 / span 3;
    }
        
	#text1 {
		color: #9cae81;
		font-size: 20px;
		letter-spacing: 0.6px;
		font-family: 'owners';
}
	#text2 {
		color: #9cae81;
		font-size: 20px;
		letter-spacing: 0.6px;
		font-family: 'owners';
}
	#text3 {
		color: #9cae81;
		font-size: 20px;
		letter-spacing: 0.6px;
		font-family: 'owners';
}
	
	.viewex {
		font-weight: bold;
		cursor: pointer;
	}
    /* Tablet Viewport: Style rules for table */
    table {
        border: 1px solid #000;
        border-collapse: collapse;
        margin: 0 auto;
        width: 100%;
    }
    
    caption {
        font-size: 1.5em;
        font-weight: bold;
        padding: 1%;
    }
    
    th, td {
        border: 1px solid #000;
        padding: 2%;
    }
    
    th {
        background-color: #000;
        color: #fff;
        font-size: 1.15em;
    }

    tr:nth-child(odd) {
        background-color: #ccc;
    }
	
	nav li a:hover {
        color: #fff;
        background-color: #cedad2;
        transform: scale(1.1);
    
    /* Tablet Viewport: Style rule for form element */
   form {
        width: 70%;
        margin: 0 auto;
    }
    
    /* Tablet Viewport: Animation */
    
    figcaption {
        -webkit-animation-name: text-animation;
        animation-name: text-animation;
        -webkit-animation-delay: 3s;
        animation-delay: 3s;
        -webkit-animation-duration: 5s;
        animation-duration: 5s;
    }
    
}

/* Media Query for Desktop Viewport */
@media screen and (min-width: 1015px), print {
    
    /* Desktop Viewport: Style rule for header */
    header {
    }
    
    /* Desktop Viewport: Style rules for nav area */
    nav {
		padding: 1em;
		margin: 0 auto;
		display: flex;
		justify-content: center;
		gap: 20px;
    }

    nav ul {
		
	   display: flex;
		list-style: none;
		padding: 0;
		margin: 2;
    }
    
    nav li {
        font-size: 1.5em;
        font-family: 'helvetica-lt-pro', sans-serif;
        display:block;
        border-right: 1px solid #fff;
    }
    
    nav li a {
        padding: 0.1em 0.75em;
        display: block;
        color: #fff;
        text-decoration: none;
    }
    nav li a:hover {
        color: #fff;
        background-color: #cedad2;
        transform: scale(1.1);
    }
    
    /* Desktop Viewport: Style Rules for main content */
    main {
        clear: left;
    }
    
    main h1 {
        font-size: 1.8em;
    }
    
    article h3 {
        font-size: 1.75em;
    }
	
	#text1 {
		color: #9cae81;
		font-size: 20px;
		letter-spacing: 0.6px;
		font-family: 'owners';
}
	#text2 {
		color: #9cae81;
		font-size: 20px;
		letter-spacing: 0.6px;
		font-family: 'owners';
}
	#text3 {
		color: #9cae81;
		font-size: 20px;
		letter-spacing: 0.6px;
		font-family: 'owners';
	}
    
    .pic-text {
        font-size: 1.5em;  
        padding: 20px;
    }
	
	.PHabout  {
        color: #000;
    }
    
    .frame  {
        color: #9fb88b;
		opacity: 0.9;
    }
    
    .frame:hover {
        opacity: 1;
        box-shadow: 8px 8px 10px #808080;
        transform: translateY(10px);
    }
    
    /* Desktop Viewport: Style rules for form elements */
    form {
        width: auto;
    }
    
    .form-grid {
        display: grid;
        grid-template-columns: auto auto auto;
        grid-gap: 20px; 
    }
    
    .btn {
        grid-column: 1 / span 3;
    }
    
}

/* Media Query for Large Desktop Viewports */
@media screen and (min-width: 1921px) {
 
    #container {
        width: 1920px;
        margin: 0 auto;
    }
    
    table {
        width: 80%;
    }
    
}

/* Media Query for Print */
@media print {
    
    body {
        background-color: #fff;
        color: #000;
    }
    
}
 